package com.yijia.market.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 营销方案对象 markert_plan
 * 
 * @author yijia
 * @date 2020-12-22
 */
public class MarkertPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 等级名称 */
    @Excel(name = "等级名称")
    private String grade;

    /** 优惠条件（满100元） */
    @Excel(name = "优惠条件", readConverterExp = "满=100元")
    private String discountTerm;

    /** 优惠条件金额（100元） */
    @Excel(name = "优惠条件金额", readConverterExp = "1=00元")
    private String discountAmt;

    /** 汽油优惠金额 */
    @Excel(name = "汽油优惠金额")
    private String gasoilDiscountAmt;

    /** 柴油优惠金额 */
    @Excel(name = "柴油优惠金额")
    private String dieseloilDiscountAmt;

    /** 会员优惠是否叠加 */
    @Excel(name = "会员优惠是否叠加")
    private String vipDiscountyPlus;

    /** 可否叠加劵 */
    @Excel(name = "可否叠加劵")
    private String couponPlus;

    /** 优惠方案类型（1满减方案，2,立减方案） */
    @Excel(name = "优惠方案类型", readConverterExp = "1=满减方案，2,立减方案")
    private String discountPlanType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGrade(String grade) 
    {
        this.grade = grade;
    }

    public String getGrade() 
    {
        return grade;
    }
    public void setDiscountTerm(String discountTerm) 
    {
        this.discountTerm = discountTerm;
    }

    public String getDiscountTerm() 
    {
        return discountTerm;
    }
    public void setDiscountAmt(String discountAmt) 
    {
        this.discountAmt = discountAmt;
    }

    public String getDiscountAmt() 
    {
        return discountAmt;
    }
    public void setGasoilDiscountAmt(String gasoilDiscountAmt) 
    {
        this.gasoilDiscountAmt = gasoilDiscountAmt;
    }

    public String getGasoilDiscountAmt() 
    {
        return gasoilDiscountAmt;
    }
    public void setDieseloilDiscountAmt(String dieseloilDiscountAmt) 
    {
        this.dieseloilDiscountAmt = dieseloilDiscountAmt;
    }

    public String getDieseloilDiscountAmt() 
    {
        return dieseloilDiscountAmt;
    }
    public void setVipDiscountyPlus(String vipDiscountyPlus) 
    {
        this.vipDiscountyPlus = vipDiscountyPlus;
    }

    public String getVipDiscountyPlus() 
    {
        return vipDiscountyPlus;
    }
    public void setCouponPlus(String couponPlus) 
    {
        this.couponPlus = couponPlus;
    }

    public String getCouponPlus() 
    {
        return couponPlus;
    }
    public void setDiscountPlanType(String discountPlanType) 
    {
        this.discountPlanType = discountPlanType;
    }

    public String getDiscountPlanType() 
    {
        return discountPlanType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("grade", getGrade())
            .append("discountTerm", getDiscountTerm())
            .append("discountAmt", getDiscountAmt())
            .append("gasoilDiscountAmt", getGasoilDiscountAmt())
            .append("dieseloilDiscountAmt", getDieseloilDiscountAmt())
            .append("vipDiscountyPlus", getVipDiscountyPlus())
            .append("couponPlus", getCouponPlus())
            .append("discountPlanType", getDiscountPlanType())
            .toString();
    }
}
